# SAMP - Sample Output

Syntax | <SAMP>...</SAMP>

Attribute Specifications

- common attributes

Contents | Inline elements
Contained in | Inline elements, block-level elements

The SAMP element denotes sample output, such as from a program or script. Visual browsers typically render SAMP as monospaced text, but authors can suggest a rendering using style sheets. Since SAMP is a structural element, it carries meaning, making it preferable to font style elements such as TT when marking up sample output.

Example:

`<P>When an undefined element is used in an HTML document, a validator will give an error like the following:</P>
<P><SAMP>C:\SP\BIN\NSGMLSU.EXE:test.html:4:7:E: element "FOOBAR" undefined</SAMP></P>`

## More Information

- SAMP in W3C HTML 4.0 Recommendation
- SAMP in W3C HTML 3.2 Recommendation
- SAMP in HTML 2.0 Standard
- SAMP in WDG HTML 3.2 Reference
- SAMP in Learning HTML 3.2 by Examples